Bug 481509 - Review Request: vhybridize - Virtual Hybridization tools
Review Request: vhybridize - Virtual Hybridization tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 481483 (view as bug list)
Depends On:
Blocks: 481508
  Show dependency treegraph
 
Reported: 2009-01-25 15:36 EST by Fabian Affolter
Modified: 2009-02-04 21:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:11:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-25 15:36:36 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/vhybridize.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/vhybridize-0.5.9-1.fc10.src.rpm

Project URL: http://ygingras.net/bioinfo

Description:
Virtual Hybridization uses sets of short probes to generate datasets
for comparative genomics: given a DNA sequence and a set of probes,
the typical output will give a sequence of oriented probe hits along
the DNA sequence. Other tools are supplied to allow simple manipulations
such as format conversion and extraction of permutations.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1080910

rpmlint output:
[fab@laptop24 SRPMS]$ rpmlint vhybridize-0.5.9-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 noarch]$ rpmlint vhybridize-0.5.9-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2009-01-25 20:29:40 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1080910
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
f962b32a9bae82bd67e28f29ad783327  vhybridize-0.5.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:
1) Fix license in spec which looks GPLv3+
2) Fix summary. Summary should be
Summary : Virtual Hybridization tools.

APPROVED.
Comment 2 Fabian Affolter 2009-01-26 03:25:55 EST
*** Bug 481483 has been marked as a duplicate of this bug. ***
Comment 3 Fabian Affolter 2009-01-26 03:35:25 EST
New Package CVS Request
=======================
Package Name: vhybridize
Short Description: Virtual Hybridization tools
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-01-26 17:25:29 EST
cvs done.
Comment 5 Fedora Update System 2009-01-29 18:07:58 EST
vhybridize-0.5.9-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vhybridize'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1153
Comment 6 Fedora Update System 2009-01-29 18:08:01 EST
vhybridize-0.5.9-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update vhybridize'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1154
Comment 7 Fedora Update System 2009-02-04 21:11:50 EST
vhybridize-0.5.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-02-04 21:13:35 EST
vhybridize-0.5.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.